@tailwind base;
@tailwind components;
@tailwind utilities;

:root {
  --foreground-rgb: 0, 0, 0;
  --background-start-rgb: 214, 219, 220;
  --background-end-rgb: 255, 255, 255;
}

@media (prefers-color-scheme: dark) {
  :root {
    --foreground-rgb: 255, 255, 255;
    --background-start-rgb: 0, 0, 0;
    --background-end-rgb: 0, 0, 0;
  }
}

body {
  color: #2e475d;
  line-height: 1.625;
  margin: 0;
  padding: 0;
  font-family:
    Lexend Deca,
    sans-serif;
  font-size: 1rem;
  font-weight: 300;
}

#layout,
#texts,
#style,
#images {
  height: 100%;
  width: 100%;
  border: medium;
  cursor: pointer;
}

#layout {
  background: url("//cdn2.hubspot.net/hubfs/53/tools/email-signature-generator/icons/template-tab.svg")
    center center / 1.25rem 1.25rem no-repeat;
}

#texts {
  background: url("//cdn2.hubspot.net/hubfs/53/tools/email-signature-generator/icons/form-tab.svg")
    center center / 1.25rem 1.25rem no-repeat;
}

#style {
  background: url("//cdn2.hubspot.net/hubfs/53/tools/email-signature-generator/icons/style-tab.svg")
    center center / 1.25rem 1.25rem no-repeat;
}

#images {
  background: url("//cdn2.hubspot.net/hubfs/53/tools/email-signature-generator/icons/image-tab.svg")
    center center / 1.25rem 1.25rem no-repeat;
}

#template-input-templateOne {
  clip-path: circle(0%);
}

#styled-checkbox-viralToggle {
  clip: rect(0px, 0px, 0px, 0px);
}

#inputText {
  background-color: transparent;
  border-radius: 0px;
  color: rgb(255, 255, 255);
  line-height: 1.15;
  font-size: 1rem;
  font-weight: 400;
  height: 35px;
  padding: 5px;
  width: 100%;
  border-style: none none solid;
  border-width: medium medium 1px;
  border-color: white white rgb(255, 255, 255);
}

#inputText::placeholder {
  color: rgb(255, 255, 255);
  opacity: 0.5;
}

.hideFormSvg {
  transition:
    opacity 0.3s linear 0s,
    transform 0.3s linear 0s;
  transform: translateY(50%);
  opacity: 0;
}

.displayFormSvg {
  transition:
    opacity 0.3s linear 0s,
    transform 0.3s linear 0s;
  transform: translateY(0);
  opacity: 1;
}

.editableInput {
  width: 40%;
  padding: 0.5rem 1rem;
  border-radius: 3px;
  color: rgb(46, 71, 93);
  background-color: rgb(255, 255, 255);
  text-transform: uppercase;
  border: medium;
  font-size: 1rem;
  box-sizing: border-box;
}

.showColorPicker {
  opacity: 1;
  width: 200px;
  transform: translateY(1rem);
  max-height: 20rem;
  transition:
    max-height 0.3s linear 0s,
    transform 0.3s linear 0s,
    opacity 0.3s linear 0s;
}

.hideColorPicker {
  opacity: 0;
  max-height: 0rem;
  transform: translateY(0rem);
  transition:
    max-height 0.3s linear 0s,
    transform 0.3s linear 0s,
    opacity 0.3s linear 0s;
  width: 200px;
}
